Skip to main content
POST
/
v1
/
crm
/
leads
/
{leadId}
/
deposit-info
Create a Lead Deposit Info
curl --request POST \
  --url https://api.example.com/v1/crm/leads/{leadId}/deposit-info \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "bankName": "<string>",
  "accountNumber": "<string>",
  "routingNumber": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "leadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "bankName": "<string>",
  "accountNumber": "<string>",
  "routingNumber": "<string>"
}

Authorizations

Authorization
string
header
required

Enter token in following format: Bearer

Path Parameters

leadId
string
required

Body

application/json
depositCategory
enum<string>
required
Available options:
all,
deposits,
fees,
chargebacks,
adjustments,
reserves
bankName
string | null
accountNumber
string | null
routingNumber
string | null
Maximum string length: 9

Response

The created lead deposit info record.

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
leadId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
depositCategory
enum<string>
required
Available options:
all,
deposits,
fees,
chargebacks,
adjustments,
reserves
bankName
string | null
accountNumber
string | null
routingNumber
string | null
Maximum string length: 9